Users
User-owned assets including wearables, emotes, names, and lands
Retrieves all on-chain wearables owned by a specific Ethereum address. Supports pagination, filtering by category/rarity/name, and sorting. Optionally includes definitions or entity metadata.
Ethereum address (0x-prefixed)
0x1234567890abcdef1234567890abcdef12345678Pattern: ^0x[a-fA-F0-9]{40}$Page number (1-indexed)
1Number of items per page (max 1000)
100Filter by category (can be specified multiple times)
Filter by rarity
Filter by name (case-insensitive substring match)
Sort field
rarityPossible values: Sort direction
DESCPossible values: Include item definitions in response
falseInclude entity metadata in response (cannot be used with includeDefinitions)
falseList of user's wearables
Total number of items across all pages
Current page number
Number of items per page
Bad request - Invalid parameters
GET /lambdas/users/{address}/wearables HTTP/1.1
Host: peer.decentraland.org
Accept: */*
{
"elements": [
{
"urn": "text",
"amount": 1,
"individualData": [
{
"id": "text",
"tokenId": "text",
"transferredAt": 1,
"price": 1
}
],
"name": "text",
"category": "text",
"rarity": "common",
"definition": {
"id": "text",
"name": "text",
"description": "text",
"rarity": "text",
"category": "text",
"data": {}
},
"entity": {
"version": "text",
"id": "text",
"type": "text",
"pointers": [
"text"
],
"timestamp": 1,
"content": [
{
"file": "text",
"hash": "text"
}
],
"metadata": {}
}
}
],
"totalAmount": 1,
"pageNum": 1,
"pageSize": 1
}Retrieves all on-chain emotes owned by a specific Ethereum address. Supports pagination, filtering by category/rarity/name, and sorting. Optionally includes definitions or entity metadata.
Ethereum address (0x-prefixed)
0x1234567890abcdef1234567890abcdef12345678Pattern: ^0x[a-fA-F0-9]{40}$Page number (1-indexed)
1Number of items per page (max 1000)
100Filter by category (can be specified multiple times)
Filter by rarity
Filter by name (case-insensitive substring match)
Sort field
rarityPossible values: Sort direction
DESCPossible values: Include item definitions in response
falseInclude entity metadata in response (cannot be used with includeDefinitions)
falseList of user's emotes
Total number of items across all pages
Current page number
Number of items per page
Bad request - Invalid parameters
GET /lambdas/users/{address}/emotes HTTP/1.1
Host: peer.decentraland.org
Accept: */*
{
"elements": [
{
"urn": "text",
"amount": 1,
"individualData": [
{
"id": "text",
"tokenId": "text",
"transferredAt": 1,
"price": 1
}
],
"name": "text",
"category": "text",
"rarity": "common",
"definition": {
"id": "text",
"name": "text",
"description": "text",
"rarity": "text",
"category": "text",
"data": {}
},
"entity": {
"version": "text",
"id": "text",
"type": "text",
"pointers": [
"text"
],
"timestamp": 1,
"content": [
{
"file": "text",
"hash": "text"
}
],
"metadata": {}
}
}
],
"totalAmount": 1,
"pageNum": 1,
"pageSize": 1
}Retrieves all Decentraland names (ENS-like) owned by a specific Ethereum address
Ethereum address (0x-prefixed)
0x1234567890abcdef1234567890abcdef12345678Pattern: ^0x[a-fA-F0-9]{40}$Page number (1-indexed)
1Number of items per page (max 1000)
100List of user's names
Total number of items across all pages
Current page number
Number of items per page
GET /lambdas/users/{address}/names HTTP/1.1
Host: peer.decentraland.org
Accept: */*
List of user's names
{
"elements": [
{
"name": "text",
"contractAddress": "text",
"tokenId": "text",
"price": 1
}
],
"totalAmount": 1,
"pageNum": 1,
"pageSize": 1
}Retrieves all LAND and Estate NFTs owned by a specific Ethereum address
Ethereum address (0x-prefixed)
0x1234567890abcdef1234567890abcdef12345678Pattern: ^0x[a-fA-F0-9]{40}$Page number (1-indexed)
1Number of items per page (max 1000)
100List of user's lands
Total number of items across all pages
Current page number
Number of items per page
GET /lambdas/users/{address}/lands HTTP/1.1
Host: peer.decentraland.org
Accept: */*
List of user's lands
{
"elements": [
{
"contractAddress": "text",
"tokenId": "text",
"category": "parcel",
"name": "text",
"x": "text",
"y": "text",
"description": "text",
"price": 1,
"image": "text"
}
],
"totalAmount": 1,
"pageNum": 1,
"pageSize": 1
}Last updated